> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar dominios

> Lista dominios de cliente visibles para el principal de la API pública.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.es.json GET /v1/public/accounts/{account_id}/domains
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: Listar dominios
      description: Lista dominios de cliente visibles para el principal de la API pública.
      operationId: list_public_domains_v1_public_accounts__account_id__domains_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: workspace_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Workspace Id
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainListResponse:
      properties:
        items:
          description: Dominios en esta página
          items:
            $ref: '#/components/schemas/DomainListRowResponse'
          title: Elementos
          type: array
        page:
          description: Número de página actual basado en uno
          title: Página
          type: integer
        page_size:
          description: Máximo de artículos por página
          title: Tamaño de página
          type: integer
        total:
          description: Total de dominios coincidentes
          title: Total
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: DomainListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalle
          type: array
      title: HTTPValidationError
      type: object
    DomainListRowResponse:
      description: Fila de lista de dominios orientada al cliente.
      properties:
        auto_renew:
          default: false
          description: Si la renovación automática del dominio está habilitada
          title: automático Renew
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Marca de tiempo de creación del dominio
          title: Creado el
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: IP UUID dedicado asignado, si lo hubiera
          title: Id de IP dedicada
        id:
          description: Dominio UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID externo del proveedor para el inquilino entrante
          title: Inbound Tenant External ID
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Inquilino entrante UUID, si está asignado
          title: Inbound Tenant ID
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Nombre para mostrar del inquilino entrante, si está asignado
          title: Inbound Tenant nombre
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: Tipo de inquilino entrante, si está asignado
          title: Inbound Tenant tipo
        name:
          description: Nombre de dominio
          title: Nombre
          type: string
        outbound_routing_ready:
          description: Si la ruta de salida está lista
          title: Enrutamiento saliente listo
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: Modo de redirección configurado, si lo hubiera
          title: Redirect modo
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL de redireccionamiento configurada, si la hubiera
          title: Redirect URL
        status:
          description: Estado del ciclo de vida del dominio
          title: Estado
          type: string
        tags:
          description: Etiquetas adjuntas al dominio
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: Etiquetas
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Marca de tiempo de la última actualización del dominio
          title: Actualizado el
        workspace_id:
          description: Espacio de trabajo UUID que contiene el dominio
          format: uuid
          title: Id del espacio de trabajo
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainListRowResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Ubicación
          type: array
        msg:
          title: Mensaje
          type: string
        type:
          title: Tipo de error
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    DomainTagResponse:
      description: Etiqueta adjunta a un dominio.
      properties:
        id:
          description: Etiqueta UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Nombre para mostrar de la etiqueta
          title: Nombre
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````